Package org.kapott.hbci.sepa.jaxb.pain_008_001_08

# Class DirectDebitTransactionInformation23

java.lang.Object
org.kapott.hbci.sepa.jaxb.pain_008_001_08.DirectDebitTransactionInformation23

public class DirectDebitTransactionInformation23 extends Object

Java class for DirectDebitTransactionInformation23 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DirectDebitTransactionInformation23">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="PmtId" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}PaymentIdentification6"/>
             <element name="PmtTpInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}PaymentTypeInformation29" minOccurs="0"/>
             <element name="InstdAmt" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}ActiveOrHistoricCurrencyAndAmount"/>
             <element name="ChrgBr" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}ChargeBearerType1Code" minOccurs="0"/>
             <element name="DrctDbtTx" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}DirectDebitTransaction10" minOccurs="0"/>
             <element name="UltmtCdtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}PartyIdentification135" minOccurs="0"/>
             <element name="DbtrAgt" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}BranchAndFinancialInstitutionIdentification6"/>
             <element name="DbtrAgtAcct" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}CashAccount38" minOccurs="0"/>
             <element name="Dbtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}PartyIdentification135"/>
             <element name="DbtrAcct" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}CashAccount38"/>
             <element name="UltmtDbtr" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}PartyIdentification135" minOccurs="0"/>
             <element name="InstrForCdtrAgt" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}Max140Text" minOccurs="0"/>
             <element name="Purp" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}Purpose2Choice" minOccurs="0"/>
             <element name="RgltryRptg" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}RegulatoryReporting3" maxOccurs="10" minOccurs="0"/>
             <element name="Tax" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}TaxInformation8" minOccurs="0"/>
             <element name="RltdRmtInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}RemittanceLocation7" maxOccurs="10" minOccurs="0"/>
             <element name="RmtInf" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}RemittanceInformation16" minOccurs="0"/>
             <element name="SplmtryData" type="{urn:iso:std:iso:20022:tech:xsd:pain.008.001.08}SupplementaryData1" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected ChargeBearerType1Code`
`chrgBr`
`protected PartyIdentification135`
`dbtr`
`protected CashAccount38`
`dbtrAcct`
`protected BranchAndFinancialInstitutionIdentification6`
`dbtrAgt`
`protected CashAccount38`
`dbtrAgtAcct`
`protected DirectDebitTransaction10`
`drctDbtTx`
`protected ActiveOrHistoricCurrencyAndAmount`
`instdAmt`
`protected String`
`instrForCdtrAgt`
`protected PaymentIdentification6`
`pmtId`
`protected PaymentTypeInformation29`
`pmtTpInf`
`protected Purpose2Choice`
`purp`
`protected List<RegulatoryReporting3>`
`rgltryRptg`
`protected List<RemittanceLocation7>`
`rltdRmtInf`
`protected RemittanceInformation16`
`rmtInf`
`protected List<SupplementaryData1>`
`splmtryData`
`protected TaxInformation8`
`tax`
`protected PartyIdentification135`
`ultmtCdtr`
`protected PartyIdentification135`
`ultmtDbtr`

## Constructor Summary

Constructors
Constructor
Description
`DirectDebitTransactionInformation23()`

## Method Summary

Modifier and Type
Method
Description
`ChargeBearerType1Code`
`getChrgBr()`
Gets the value of the chrgBr property.
`PartyIdentification135`
`getDbtr()`
Gets the value of the dbtr property.
`CashAccount38`
`getDbtrAcct()`
Gets the value of the dbtrAcct property.
`BranchAndFinancialInstitutionIdentification6`
`getDbtrAgt()`
Gets the value of the dbtrAgt property.
`CashAccount38`
`getDbtrAgtAcct()`
Gets the value of the dbtrAgtAcct property.
`DirectDebitTransaction10`
`getDrctDbtTx()`
Gets the value of the drctDbtTx property.
`ActiveOrHistoricCurrencyAndAmount`
`getInstdAmt()`
Gets the value of the instdAmt property.
`String`
`getInstrForCdtrAgt()`
Gets the value of the instrForCdtrAgt property.
`PaymentIdentification6`
`getPmtId()`
Gets the value of the pmtId property.
`PaymentTypeInformation29`
`getPmtTpInf()`
Gets the value of the pmtTpInf property.
`Purpose2Choice`
`getPurp()`
Gets the value of the purp property.
`List<RegulatoryReporting3>`
`getRgltryRptg()`
Gets the value of the rgltryRptg property.
`List<RemittanceLocation7>`
`getRltdRmtInf()`
Gets the value of the rltdRmtInf property.
`RemittanceInformation16`
`getRmtInf()`
Gets the value of the rmtInf property.
`List<SupplementaryData1>`
`getSplmtryData()`
Gets the value of the splmtryData property.
`TaxInformation8`
`getTax()`
Gets the value of the tax property.
`PartyIdentification135`
`getUltmtCdtr()`
Gets the value of the ultmtCdtr property.
`PartyIdentification135`
`getUltmtDbtr()`
Gets the value of the ultmtDbtr property.
`void`
`setChrgBr(ChargeBearerType1Code value)`
Sets the value of the chrgBr property.
`void`
`setDbtr(PartyIdentification135 value)`
Sets the value of the dbtr property.
`void`
`setDbtrAcct(CashAccount38 value)`
Sets the value of the dbtrAcct property.
`void`
`setDbtrAgt(BranchAndFinancialInstitutionIdentification6 value)`
Sets the value of the dbtrAgt property.
`void`
`setDbtrAgtAcct(CashAccount38 value)`
Sets the value of the dbtrAgtAcct property.
`void`
`setDrctDbtTx(DirectDebitTransaction10 value)`
Sets the value of the drctDbtTx property.
`void`
`setInstdAmt(ActiveOrHistoricCurrencyAndAmount value)`
Sets the value of the instdAmt property.
`void`
`setInstrForCdtrAgt(String value)`
Sets the value of the instrForCdtrAgt property.
`void`
`setPmtId(PaymentIdentification6 value)`
Sets the value of the pmtId property.
`void`
`setPmtTpInf(PaymentTypeInformation29 value)`
Sets the value of the pmtTpInf property.
`void`
`setPurp(Purpose2Choice value)`
Sets the value of the purp property.
`void`
`setRmtInf(RemittanceInformation16 value)`
Sets the value of the rmtInf property.
`void`
`setTax(TaxInformation8 value)`
Sets the value of the tax property.
`void`
`setUltmtCdtr(PartyIdentification135 value)`
Sets the value of the ultmtCdtr property.
`void`
`setUltmtDbtr(PartyIdentification135 value)`
Sets the value of the ultmtDbtr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### pmtId

protected PaymentIdentification6 pmtId

### pmtTpInf

protected PaymentTypeInformation29 pmtTpInf

### instdAmt

protected ActiveOrHistoricCurrencyAndAmount instdAmt

### chrgBr

protected ChargeBearerType1Code chrgBr

### drctDbtTx

protected DirectDebitTransaction10 drctDbtTx

### ultmtCdtr

protected PartyIdentification135 ultmtCdtr

### dbtrAgt

protected BranchAndFinancialInstitutionIdentification6 dbtrAgt

### dbtrAgtAcct

protected CashAccount38 dbtrAgtAcct

### dbtr

protected PartyIdentification135 dbtr

### dbtrAcct

protected CashAccount38 dbtrAcct

### ultmtDbtr

protected PartyIdentification135 ultmtDbtr

### instrForCdtrAgt

protected String instrForCdtrAgt

### purp

protected Purpose2Choice purp

### rgltryRptg

protected List<RegulatoryReporting3> rgltryRptg

### tax

protected TaxInformation8 tax

### rltdRmtInf

protected List<RemittanceLocation7> rltdRmtInf

### rmtInf

protected RemittanceInformation16 rmtInf

### splmtryData

protected List<SupplementaryData1> splmtryData

## Constructor Details

### DirectDebitTransactionInformation23

public DirectDebitTransactionInformation23()

## Method Details

### getPmtId

public PaymentIdentification6 getPmtId()
Gets the value of the pmtId property.

Returns:
  possible object is `PaymentIdentification6`

### setPmtId

public void setPmtId(PaymentIdentification6 value)
Sets the value of the pmtId property.

Parameters:
  `value` - allowed object is `PaymentIdentification6`

### getPmtTpInf

public PaymentTypeInformation29 getPmtTpInf()
Gets the value of the pmtTpInf property.

Returns:
  possible object is `PaymentTypeInformation29`

### setPmtTpInf

public void setPmtTpInf(PaymentTypeInformation29 value)
Sets the value of the pmtTpInf property.

Parameters:
  `value` - allowed object is `PaymentTypeInformation29`

### getInstdAmt

public ActiveOrHistoricCurrencyAndAmount getInstdAmt()
Gets the value of the instdAmt property.

Returns:
  possible object is `ActiveOrHistoricCurrencyAndAmount`

### setInstdAmt

public void setInstdAmt(ActiveOrHistoricCurrencyAndAmount value)
Sets the value of the instdAmt property.

Parameters:
  `value` - allowed object is `ActiveOrHistoricCurrencyAndAmount`

### getChrgBr

public ChargeBearerType1Code getChrgBr()
Gets the value of the chrgBr property.

Returns:
  possible object is `ChargeBearerType1Code`

### setChrgBr

public void setChrgBr(ChargeBearerType1Code value)
Sets the value of the chrgBr property.

Parameters:
  `value` - allowed object is `ChargeBearerType1Code`

### getDrctDbtTx

public DirectDebitTransaction10 getDrctDbtTx()
Gets the value of the drctDbtTx property.

Returns:
  possible object is `DirectDebitTransaction10`

### setDrctDbtTx

public void setDrctDbtTx(DirectDebitTransaction10 value)
Sets the value of the drctDbtTx property.

Parameters:
  `value` - allowed object is `DirectDebitTransaction10`

### getUltmtCdtr

public PartyIdentification135 getUltmtCdtr()
Gets the value of the ultmtCdtr property.

Returns:
  possible object is `PartyIdentification135`

### setUltmtCdtr

public void setUltmtCdtr(PartyIdentification135 value)
Sets the value of the ultmtCdtr property.

Parameters:
  `value` - allowed object is `PartyIdentification135`

### getDbtrAgt

public BranchAndFinancialInstitutionIdentification6 getDbtrAgt()
Gets the value of the dbtrAgt property.

Returns:
  possible object is `BranchAndFinancialInstitutionIdentification6`

### setDbtrAgt

public void setDbtrAgt(BranchAndFinancialInstitutionIdentification6 value)
Sets the value of the dbtrAgt property.

Parameters:
  `value` - allowed object is `BranchAndFinancialInstitutionIdentification6`

### getDbtrAgtAcct

public CashAccount38 getDbtrAgtAcct()
Gets the value of the dbtrAgtAcct property.

Returns:
  possible object is `CashAccount38`

### setDbtrAgtAcct

public void setDbtrAgtAcct(CashAccount38 value)
Sets the value of the dbtrAgtAcct property.

Parameters:
  `value` - allowed object is `CashAccount38`

### getDbtr

public PartyIdentification135 getDbtr()
Gets the value of the dbtr property.

Returns:
  possible object is `PartyIdentification135`

### setDbtr

public void setDbtr(PartyIdentification135 value)
Sets the value of the dbtr property.

Parameters:
  `value` - allowed object is `PartyIdentification135`

### getDbtrAcct

public CashAccount38 getDbtrAcct()
Gets the value of the dbtrAcct property.

Returns:
  possible object is `CashAccount38`

### setDbtrAcct

public void setDbtrAcct(CashAccount38 value)
Sets the value of the dbtrAcct property.

Parameters:
  `value` - allowed object is `CashAccount38`

### getUltmtDbtr

public PartyIdentification135 getUltmtDbtr()
Gets the value of the ultmtDbtr property.

Returns:
  possible object is `PartyIdentification135`

### setUltmtDbtr

public void setUltmtDbtr(PartyIdentification135 value)
Sets the value of the ultmtDbtr property.

Parameters:
  `value` - allowed object is `PartyIdentification135`

### getInstrForCdtrAgt

public String getInstrForCdtrAgt()
Gets the value of the instrForCdtrAgt property.

Returns:
  possible object is `String`

### setInstrForCdtrAgt

public void setInstrForCdtrAgt(String value)
Sets the value of the instrForCdtrAgt property.

Parameters:
  `value` - allowed object is `String`

### getPurp

public Purpose2Choice getPurp()
Gets the value of the purp property.

Returns:
  possible object is `Purpose2Choice`

### setPurp

public void setPurp(Purpose2Choice value)
Sets the value of the purp property.

Parameters:
  `value` - allowed object is `Purpose2Choice`

### getRgltryRptg

public List<RegulatoryReporting3> getRgltryRptg()
Gets the value of the rgltryRptg property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the rgltryRptg property.

For example, to add a new item, do as follows:

        getRgltryRptg().add(newItem);

Objects of the following type(s) are allowed in the list `RegulatoryReporting3`

### getTax

public TaxInformation8 getTax()
Gets the value of the tax property.

Returns:
  possible object is `TaxInformation8`

### setTax

public void setTax(TaxInformation8 value)
Sets the value of the tax property.

Parameters:
  `value` - allowed object is `TaxInformation8`

### getRltdRmtInf

public List<RemittanceLocation7> getRltdRmtInf()
Gets the value of the rltdRmtInf property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the rltdRmtInf property.

For example, to add a new item, do as follows:

        getRltdRmtInf().add(newItem);

Objects of the following type(s) are allowed in the list `RemittanceLocation7`

### getRmtInf

public RemittanceInformation16 getRmtInf()
Gets the value of the rmtInf property.

Returns:
  possible object is `RemittanceInformation16`

### setRmtInf

public void setRmtInf(RemittanceInformation16 value)
Sets the value of the rmtInf property.

Parameters:
  `value` - allowed object is `RemittanceInformation16`

### getSplmtryData

public List<SupplementaryData1> getSplmtryData()
Gets the value of the splmtryData property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the splmtryData property.

For example, to add a new item, do as follows:

        getSplmtryData().add(newItem);

Objects of the following type(s) are allowed in the list `SupplementaryData1`